//- 
//- VARIABLES
//- 
//- power_consumption
//- energy_savings
//- reported_faults
//- num_of_devices
//- 


doctype html
html(lang='en')
	head
		meta(charset='utf-8')
		meta(http-equiv='X-UA-Compatible', content='IE=edge')
		meta(name='viewport', content='width=device-width, initial-scale=1')
		meta(name='description', content='')
		meta(name='author', content='')
		title KNUST Power Saver
		// Bootstrap Core CSS
		link(href='css/bootstrap.min.css', rel='stylesheet')
		// Custom CSS
		link(href='css/sb-admin.css', rel='stylesheet')
		// Morris Charts CSS
		link(href='css/plugins/morris.css', rel='stylesheet')
		// Custom Fonts
		link(href='font-awesome/css/font-awesome.min.css', rel='stylesheet', type='text/css')
		// HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries
		// WARNING: Respond.js doesn't work if you view the page via file://
		//if lt IE 9
			script(src='https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js')
			script(src='https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js')
		// 
		link(rel='stylesheet', type='text/css', href='stylesheets/custom.css')
	body
		#wrapper
			// Navigation
			nav.navbar.navbar-inverse.navbar-fixed-top(role='navigation')
				// Brand and toggle get grouped for better mobile display
				.navbar-header
					button.navbar-toggle(type='button', data-toggle='collapse', data-target='.navbar-ex1-collapse')
						span.sr-only Toggle navigation
						span.icon-bar
						span.icon-bar
						span.icon-bar
					a.navbar-brand(href='/secure') KNUST Power Saver
				// Top Menu Items
				ul.nav.navbar-right.top-nav
					li.dropdown
						a.dropdown-toggle(href='#', data-toggle='dropdown')
							i.fa.fa-user
							|  Administrator 
							b.caret
						ul.dropdown-menu
							li
								a(href='/logout')
									i.fa.fa-fw.fa-power-off
									|  Log Out
				// Sidebar Menu Items - These collapse to the responsive navigation menu on small screens
				.collapse.navbar-collapse.navbar-ex1-collapse
					ul.nav.navbar-nav.side-nav
						li.active
							a(href='/secure')
								i.fa.fa-fw.fa-dashboard
								|  System Overview
						li
							a(href='/secure/asset_management.html')
								i.fa.fa-fw.fa-bar-chart-o
								|  Asset Management
						li
							a(href='/secure/add_device.html')
								i.fa.fa-fw.fa-edit
								|  Add Device
						li
							a(href='/secure/reports.html')
								i.fa.fa-fw.fa-edit
								|  Reports
						li
							a(href='/secure/about.html')
								i.fa.fa-fw.fa-table
								|  About
				// /.navbar-collapse
			#page-wrapper
				.container-fluid
					// Page Heading
					.row
						.col-lg-12
							h1.page-header
								strong General Statistics
					// /.row
					.row
					// /.row
					span
						.col-md-8
							#samuel-width
								.panel.panel-default
									.panel-heading
										h3.panel-title
											i.fa.fa-bar-chart-o.fa-fw
											|  this will be a graph comparing actual power consumtion and power consumption without system
									.panel-body
										#morris-area-chart
					span
						.btn-group-vertical.c-btn
							.col-lg-3.col-md-6
								.panel.panel-new
									.panel-heading
										.row
											.col-xs-3
												i.glyphicon.glyphicon-scale.fa-5x
											.col-xs-9.text-right
												.huge #{power_consumption}kWh
												div Power Consumption/Month
							.col-lg-3.col-md-6
								.panel.panel-new
									.panel-heading
										.row
											.col-xs-3
												i.glyphicon.glyphicon-piggy-bank.fa-5x
											.col-xs-9.text-right
												.huge 	#{energy_savings}kWh
												div Energy Savings/Month
							.col-lg-3.col-md-6
								.panel.panel-new
									.panel-heading
										.row
											.col-xs-3
												i.glyphicon.glyphicon-alert.fa-5x
											.col-xs-9.text-right
												.huge #{reported_faults}
												div Reported Faults
							.col-lg-3.col-md-6
								.panel.panel-new
									.panel-heading
										.row
											.col-xs-3
												i.glyphicon.glyphicon-stats.fa-5x
											.col-xs-9.text-right
												.huge #{num_of_devices}
												div Number of Devices
					// /.row
					div
						br
						br
						br
						br
						br
				// /.row
			// /.container-fluid
		// /#page-wrapper
		// /#wrapper
		// jQuery
		script(src='js/jquery.js')
		// Bootstrap Core JavaScript
		script(src='js/bootstrap.min.js')
		// Morris Charts JavaScript
		script(src='js/plugins/morris/raphael.min.js')
		script(src='js/plugins/morris/morris.min.js')
		script(src='js/plugins/morris/morris-data.js')
		script(src='js/plugins/flot/jquery.flot.js')
		script(src='js/plugins/flot/jquery.flot.tooltip.min.js')
		script(src='js/plugins/flot/jquery.flot.resize.js')
		script(src='js/plugins/flot/jquery.flot.pie.js')
		script(src='js/plugins/flot/flot-data.js')
